Loading...
Searching...
No Matches
elasticity_impl.hpp File Reference

Elasticity helper class - template implementations. More...

`#include <opm/elasticity/shapefunctions.hpp>`

Go to the source code of this file.

## Namespaces

namespace | Opm
| Inverting small matrices.

## Macros

#define | INDEX(i, j)
#define | INDEX(i, j)

## Functions

Dune::FieldVector< double, 3 > | Opm::Elasticity::waveSpeeds (const Dune::FieldMatrix< double, 6, 6 > &C, double phi, double theta, double density)
| Compute the elastic wave velocities.

## Detailed Description

Elasticity helper class - template implementations.

Date
  Nov 9 2011

Author
  Arne Morten Kvarving / SINTEF

## Macro Definition Documentation

## INDEX [1/2]

#define INDEX | ( |  | i,
|  |  | j )

Value:
i+3*j

## INDEX [2/2]

#define INDEX | ( |  | i,
|  |  | j )

Value:
i+6*j

## Function Documentation

## waveSpeeds()

Dune::FieldVector< double, 3 > Opm::Elasticity::waveSpeeds | ( | const Dune::FieldMatrix< double, 6, 6 > & | C,
|  | double | phi,
|  | double | theta,
|  | double | density )

Compute the elastic wave velocities.

C The elastic tensor

phi dip angle

theta Azimuth angle

density Density of material